DSA_SIZE(3)

NAME
DSA_size, DSA_bits, DSA_security_bits - get DSA signature size, key bits or security bits

SYNOPSIS
 #include <openssl/dsa.h>

Deprecated since OpenSSL 3.0, can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

 int DSA_size(const DSA *dsa);
 int DSA_bits(const DSA *dsa);
 int DSA_security_bits(const DSA *dsa);

DESCRIPTION
All of the functions described on this page are deprecated. Applications should instead use EVP_PKEY_bits(3), EVP_PKEY_security_bits(3) and EVP_PKEY_size(3).

DSA_size() returns the maximum size of an ASN.1 encoded DSA signature for key dsa in bytes. It can be used to determine how much memory must be allocated for a DSA signature.

dsa->q must not be NULL.

DSA_bits() returns the number of bits in key dsa: this is the number of bits in the p parameter.

DSA_security_bits() returns the number of security bits of the given dsa key. See BN_security_bits(3).

RETURN VALUES
DSA_size() returns the signature size in bytes.

DSA_bits() returns the number of bits in the key.

SEE ALSO
EVP_PKEY_bits(3), EVP_PKEY_security_bits(3), EVP_PKEY_size(3), DSA_new(3), DSA_sign(3)

HISTORY
All of these functions were deprecated in OpenSSL 3.0.

COPYRIGHT
Copyright 2000-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.